Bug 1633094 - Empty values for ATTACHED & QUANTITY when listing activation key's subscriptions
Summary: Empty values for ATTACHED & QUANTITY when listing activation key's subscriptions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Activation Keys
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Michael Johnson
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 07:57 UTC by hprakash
Modified: 2019-10-30 20:16 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25199 Normal Closed Empty values for ATTACHED & QUANTITY when listing activation key's subscriptions 2020-10-22 15:41:48 UTC

Description hprakash 2018-09-26 07:57:25 UTC
Description of problem:

value of 'ATTACHED' & 'QUANTITY' columns are empty when listing subscriptions of an activation key.

Version-Release number of selected component (if applicable):

Satellite 6.3.1/2

How reproducible:
Always

Steps to Reproduce:
On Satellite server, run the below command-
# hammer activation-key subscriptions --activation-key <AK-name> --organization <org-name>

Note- Use any activation key which has few subscription attached in it.

From the output of the above command, value for 'ATTACHED' & 'QUANTITY' column is empty.

Actual results:


Expected results:
There should be appropriate value(as shown in the webUI)

Additional info:

Comment 2 pm-sat@redhat.com 2018-10-17 18:01:29 UTC
Upstream bug assigned to micjohns@redhat.com

Comment 3 pm-sat@redhat.com 2018-10-17 18:01:34 UTC
Upstream bug assigned to micjohns@redhat.com

Comment 4 pm-sat@redhat.com 2018-12-06 21:02:12 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25199 has been resolved.

Comment 7 Bryan Kearney 2019-10-22 19:51:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.